package ru.yandex.direct.web.entity.excel.model;

import java.util.List;

import javax.annotation.ParametersAreNonnullByDefault;

@ParametersAreNonnullByDefault
public class ExcelImportResultInfo {

    // id фронту удобнее получать как строку
    private List<String> addedOrUpdatedAdGroupIds;
    private List<String> addedOrUpdatedAdIds;
    private String excelFileUrl;
    private String mutationId;

    public List<String> getAddedOrUpdatedAdGroupIds() {
        return addedOrUpdatedAdGroupIds;
    }

    public ExcelImportResultInfo withAddedOrUpdatedAdGroupIds(List<String> addedOrUpdatedAdGroupIds) {
        this.addedOrUpdatedAdGroupIds = addedOrUpdatedAdGroupIds;
        return this;
    }

    public List<String> getAddedOrUpdatedAdIds() {
        return addedOrUpdatedAdIds;
    }

    public ExcelImportResultInfo withAddedOrUpdatedAdIds(List<String> addedOrUpdatedAdIds) {
        this.addedOrUpdatedAdIds = addedOrUpdatedAdIds;
        return this;
    }

    public String getExcelFileUrl() {
        return excelFileUrl;
    }

    public ExcelImportResultInfo withExcelFileUrl(String excelFileUrl) {
        this.excelFileUrl = excelFileUrl;
        return this;
    }

    public String getMutationId() {
        return mutationId;
    }

    public ExcelImportResultInfo withMutationId(String mutationId) {
        this.mutationId = mutationId;
        return this;
    }
}
